%define pre	9
%define rel	15
%if %{pre}
%define release	%mkrel 0.pre%{pre}.%{rel}
%define src	wireless_tools.%{version}.pre%{pre}.tar.gz
%else
%define release	%mkrel %{rel}
%define src	wireless_tools.%{version}.tar.gz
%endif
%define lib_name_orig libiw
%define lib_major %{version}
%define lib_name %mklibname iw %{lib_major}
%define develname %mklibname -d iw
%define docs README INSTALL CHANGELOG.h DISTRIBUTIONS.txt COPYING PCMCIA.txt

Summary: Wireless Ethernet configuration tools
Group: System/Kernel and hardware
License: GPL
Name: wireless-tools
Version: 30
Release: %{release}
URL: https://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
Source: https://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/%{src}
Patch0: wireless_tools.diff
Patch1: revert-19-udev-ifrename.rules.diff
Patch2: wireless_tools.27-wireless-man-upd.patch
# (blino) strict Requires, see 28-1.pre9.2 changelog
Requires: %{lib_name} = %{version}-%{release}

%description
This package contain the Wireless tools, used to manipulate
the Wireless Extensions. The Wireless Extension is an interface
allowing you to set Wireless LAN specific parameters and get the
specific stats for wireless networking equipment.

This is specifically useful since it allows manipulation of encryption
parameters possible with the GPL WaveLAN cards.

%package -n %{lib_name}
Summary: Wireless_tools library
Group: System/Libraries
Provides: %{lib_name_orig} = %{version}-%{release}

%description -n %{lib_name}
This package contains libraries to configure and access wireless interface
cards.

%package -n %{develname}
Summary: Wireless_tools development library
Group: Development/C
Provides: libiw-devel = %{version}-%{release}
Requires: %{lib_name} = %{version}-%{release}
Obsoletes: %{_lib}iw30-devel < %{version}-%{release}
Obsoletes: %{_lib}iw29-devel < %{version}-%{release}

%description -n %{develname}
This package contains libraries and headers for use in developing
wireless tools.

%prep
%setup -q -n wireless_tools.%{version}
%patch -P 0 -p0
%patch -P 1 -p1
#%patch -P 2 -p0
chmod a+r %{docs}

%build
%make_build clean
%make_build "CFLAGS=$RPM_OPT_FLAGS -I."

%install
%makeinstall \
	PREFIX=%{buildroot}%{_prefix} \
	INSTALL_LIB=%{buildroot}%{_libdir} \
	INSTALL_MAN=%{buildroot}%{_mandir} \
	INSTALL_DIR=%{buildroot}%{_sbindir}

%{find_lang} %{name} --with-man --all-name

%triggerpostun -- wireless-tools < 28-1.pre9.3
[ -f /etc/iftab ] && sed -i -e s,mac_ieee1394,mac, /etc/iftab
:

%files -f %{name}.lang
%doc %{docs}
%{_sbindir}/*
%{_mandir}/man5/iftab.*
%{_mandir}/man7/wireless.*
%{_mandir}/man8/*.*

%files -n %{lib_name}
%{_libdir}/libiw.so.%{version}

%files -n %{develname}
%{_libdir}/libiw.so
%{_includedir}/iwlib.h
%{_includedir}/wireless.h


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 30-0.pre9.15.mga10
+ Revision: 2128270
- Rebuild for patchN deprecation

* Tue Mar 15 2022 umeabot <umeabot> 30-0.pre9.14.mga9
+ Revision: 1792435
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:
+ marja <marja>
- remove no longer needed Conflicts man-pages-fr < 1.58.0-16

* Fri Feb 14 2020 umeabot <umeabot> 30-0.pre9.12.mga8
+ Revision: 1518068
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 30-0.pre9.11.mga7
+ Revision: 1301674
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 30-0.pre9.10.mga6
+ Revision: 938067
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 30-0.pre9.9.mga5
+ Revision: 748318
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 30-0.pre9.8.mga5
+ Revision: 690320
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 30-0.pre9.7.mga4
+ Revision: 523376
- Mageia 4 Mass Rebuild

* Sat Apr 13 2013 tmb <tmb> 30-0.pre9.6.mga3
+ Revision: 409929
- revert to v29 udev ifrename.rules (P1)

* Sun Apr 07 2013 luigiwalser <luigiwalser> 30-0.pre9.5.mga3
+ Revision: 408796
- rebuild to really fix mga#9055

* Tue Mar 26 2013 luigiwalser <luigiwalser> 30-0.pre9.4.mga3
+ Revision: 405338
- fix files list

* Mon Jan 14 2013 umeabot <umeabot> 30-0.pre9.3.mga3
+ Revision: 385716
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 fwang <fwang> 30-0.pre9.2.mga3
+ Revision: 345484
- correct devel package name and migrate to new filesystem

* Sun Jan 06 2013 tmb <tmb> 30-0.pre9.1.mga3
+ Revision: 339811
- update to 30-pre9

* Tue Feb 15 2011 tmb <tmb> 29-4.mga1
+ Revision: 51842
- fix relase
- imported package wireless-tools

